<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<style>
.speech > .avatar { position: absolute; left: -45px; top: -0px; border: 1px solid; border-radius: 15px; width: 30px; height: 27px; text-align: center; background-color: #fff; padding-top: 3px; }
.hdHide, .hdHide ~ .HelpDeskTopicMessage { display: none; }
.hdHide:checked ~ .HelpDeskTopicMessage { display: block; }
.hdShowHide { position: absolute; right: 48%; bottom: -10px; border: 2px solid #666; border-radius: 8px; padding: 2px 15px; height: 10px; box-shadow: 2px 2px 4px #888; background-color: #eee;  cursor: pointer; }
.hdMessgaeFiles ul { margin: 0px; padding: 0px; }
.hdMessageInfoButton + div { display: none; position: absolute; background-color: #fff; border: 1px solid #666; border-radius: 10px; padding: 5px; }
.hdMessageInfoButton + div span { display: inline-block; white-space: nowrap; }
.hdMessageInfoButton + div span.n { width: 7em; color: #666; }
.hdMessageInfoButton:hover + div { display: block; z-index: 2; right: 0px; }
.HelpDeskTopicMessage { margin-bottom: 5px; background-color: #fff; border-radius: 5px; padding: 3px; font-size: 0.9em; }
.hdMessageFilesButton + ul { display: none; position: absolute; background-color: #fff; border: 1px solid #666; border-radius: 10px; margin-top: 0px; list-style-type: none; padding: 5px 0px; }
.hdMessageFilesButton + ul li { border-radius: 10px; padding: 3px 5px;  }
.hdMessageFilesButton:hover + ul { display: block; z-index: 2; right: 0px; }
.hdMessageFilesButton + ul:hover { display: block; z-index: 2; right: 0px; }
.hdMessageFiles ul li:hover { background-color: #eee; }
</style>

<div id="topicData" class="hdBlock">
	<div class="flexRow" style="align-items: center; margin: 10px;">
		<div class="buttons" style="white-space: nowrap;">
			<div><img title="к списку" src="${contextPath}/img/left.png" height="32" onclick="showBlock( 'helpdeskRoot', 'topicActiveList', helpdeskListQuery );"/></div>
			<div class="bgMenu hdFilterMenu"><img alt="Фильтр сообщений" src="${contextPath}/img/filter.png" height="32"/>
				<ul style="left: -5px; font-size: 0.9rem;">
					<li><a href='#' onclick='return helpDeskTopicMessageFilter( this, 5 );'>последние 5</a></li> 
					<li><a href="#" onclick='return helpDeskTopicMessageFilter( this, 10 );'>последние 10</a></li> 
					<li><a href='#' onclick='return helpDeskTopicMessageFilter( this, -1 );'>все</a></li>
					<li><a href='#' onclick='return helpDeskTopicMessageFilter( this, -2 );'>входящие</a></li>
					<li><a href='#' onclick='return helpDeskTopicMessageFilter( this, -3 );'>исходящие</a></li>
					<li><a href='#' onclick='return showNextTextAll();'>развернуть все сообщения</a></li>
				</ul>
			</div>
			<div class="bgPopupPanel hdTopicInfo"><img alt="Параметры темы" src="img/menu.png" height="32"/>
				<div style="left: -35px; font-size: 0.9rem;">
					<span class="n">ID темы: </span><span class="v">${topic.id}</span>
					<br/><span class="n">Статус: </span><span class="v"><c:choose><c:when test="${topic.closed}">Закрыта</c:when><c:otherwise>Активна</c:otherwise></c:choose></span>
					<br/><span class="n">Дата открытия: </span><span class="v"><fmt:formatDate type="BOTH" dateStyle="SHORT" value="${topic.date}"/></span>
					<br/><span class="n">Оповещение:</span><span class="v" id="topicComm"></span>
					<br/><span class="n">Менеджер:</span><span class="v">${userNameMap[topic.userId]}</span>
					<br/><span class="n">Стоимость:</span><span class="v"><fmt:formatNumber groupingUsed="true" value="${topic.cost}" maxFractionDigits="2" minFractionDigits="2"/></span>
					<!-- 
					<br/><span class="n">URL темы:</span><a id="topicURL"></a>
					 -->
				</div>
			</div>
		</div>
		<%-- onclick="helpDeskTopicClose()" --%>
		<div><img title="закрыть тему" src="${contextPath}/img/close.png" height="32" class="cursorPointer" onclick="showBlock( 'helpdeskRoot', 'topicActiveList', helpdeskListQuery );"/></div>  
	</div>
	<div class="tile">
		<div class="titleFont3 hdTopicTitle" style="padding: 10px 0px; padding-left: 1rem;"><span>Тема:</span> ${topic.title}</div>
		<c:forEach var="item" varStatus="status" items="${topic.messages}">
		<c:set var="speechAvatar"><c:choose><c:when test="${item.userIdFrom > 0}">headset.png</c:when><c:otherwise>user.png</c:otherwise></c:choose></c:set>
		<div class="flexRow" style="background-color: #eee; padding: 3px 5px; font-size: 0.9rem; align-items: center; border-top: 1px solid #888; border-bottom: 1px solid #888;">
			<div class="flexRow" style="align-items: center;">
				<div class="avatar" style="background-color: #fff; border-radius: 5px;"><img src="img/${speechAvatar}" height="20"/></div>
				<div style="margin-left: 10px;">${status.count} из ${topic.messages.size()} [ID#${item.id}]</div>
			</div>
			<div class="flexRow">
				<div><button onclick="topicMessageNew( '' )">ответить</button></div>
				<div class="HelpDeskTopicMessageFile" id="messageFile"></div>
				<div class="hdMessageFiles"><button class="hdMessageFilesButton">файлы (${fn:length(item.fileList)})</button>
					<ul><c:forEach var="file" items="${item.fileList}"><li>${file.title} (${file.size})</li></c:forEach></ul>
				</div>
				<div class="hdMessageInfo"><button class="hdMessageInfoButton">инфо</button>
					<div>
						<span class="n">Отправлено:</span><span class="v">${userNameMap[item.userIdFrom]} в <fmt:formatDate type="BOTH" dateStyle="SHORT" value="${item.dateFrom}"/></span><br/>
						<span class="n">Прочитано:</span><span class="v">${userNameMap[item.userIdTo]} в <fmt:formatDate type="BOTH" dateStyle="SHORT" value="${item.dateTo}"/></span>
					</div>
				</div>
			</div>
		</div>

		<div class="colorText speech" style="margin: 10px 10px 20px 10px; font-size: 1rem; color: #444;">
			<div class="hdMessageBody" style="white-space: pre-wrap;">${item.body}</div>
		</div>
		</c:forEach>

		<div class="titleFont3 titleBottomLine" style="padding-top: 20px; padding-left: 1rem; margin-bottom: 1rem;">Новое сообщение</div>
		<div id="topicMessageNew" style="">
			<form action="webexecuter" method="post">
				<div class="textFieldLabel mTop10">Текст сообщения:</div>
				<div><textarea name="message_body" rows="10" style="" autocomplete="off" class="messageText" oninput="let elem = document.getElementById('hdMessageSendButton'); if ( this.value.length > 0 ) { elem.style.display='block'; } else { elem.style.display='none'; }"></textarea></div>

				<div id="hdAttach"><script type="text/javascript">showBlock( 'hdAttach', 'uploadFile', { ...helpdeskListQuery, messageUUID: '${messageUUID}' } );</script> </div>
				
				<div id="hdMessageSendButton" style="padding: 10px 0px; display: none;"> <input type="button" value="Отправить" onclick="showBlock( 'helpdeskRoot', 'messageAdd', { ...helpdeskQuery, topicId: ${topic.id}, messageUUID: '${messageUUID}', messageText: this.form.message_body.value } ); return false;" /></div>
			</form>
		</div>
	</div>
</div>
